Name:          openhft-chronicle-queue
Version:       3.6.2
Release:       3%{?dist}
Summary:       Java library for persisted low latency messaging
# https://github.com/OpenHFT/Chronicle-Queue/blob/master/LICENSE.adoc
# POM file is under LGPLv3+
License:       ASL 2.0 and LGPLv3+
URL:           https://github.com/OpenHFT/Chronicle-Queue
Source0:       https://github.com/OpenHFT/Chronicle-Queue/archive/chronicle-%{version}.tar.gz
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(net.openhft:affinity)
BuildRequires: mvn(net.openhft:lang)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.slf4j:slf4j-api)

%if 0
# test deps
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.java.dev.jna:jna)
BuildRequires: mvn(net.java.dev.jna:platform)
BuildRequires: mvn(net.sf.trove4j:trove4j)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.hamcrest:hamcrest-all)
BuildRequires: mvn(org.hdrhistogram:HdrHistogram)
BuildRequires: mvn(org.slf4j:slf4j-simple)
%endif

BuildArch:     noarch

%description
Chronicle is a Java library focused on building a persisted low latency
messaging framework for high performance and critical applications. Using
non-heap storage options (RandomAccessFile) Chronicle provides a processing
environment where applications do not suffer from garbage collection.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n Chronicle-Queue-chronicle-%{version}

# net.openhft:java-parent-pom:1.1.10 https://github.com/OpenHFT/OpenHFT/
%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>net.openhft</groupId>"

# net.openhft:third-party-bom:pom:3.5.0
%pom_remove_dep net.openhft:third-party-bom
# net.openhft:chronicle-bom:pom:1.12.16
%pom_remove_dep net.openhft:chronicle-bom

%pom_change_dep :lang ::6.8.0:compile
%pom_change_dep :affinity ::3.0.1:compile

# Unwanted tasks
%pom_remove_plugin :maven-jar-plugin
%pom_remove_plugin :maven-scm-publish-plugin

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%mvn_file :chronicle %{name} chronicle

%build

# Test skipped for unavailable test deps
# net.sf.trove4j:trove4j:3.0.3
# @ random:
# Execution default-test of goal org.apache.maven.plugins:maven-surefire-plugin:2.19.1:test failed:
# The forked VM terminated without properly saying goodbye. VM crash or System.exit called?
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 08 2016 gil cattaneo <puntogil@libero.it> 3.6.2-2
- review fixes

* Sun Jul 24 2016 gil cattaneo <puntogil@libero.it> 3.6.2-1
- update to 3.6.2

* Wed Jul 13 2016 gil cattaneo <puntogil@libero.it> 2.0.3-1
- initial rpm
